
Redmine - Defect #2550

Project overview page shows disabled trackers

2009-01-20 23:41 - Brad Beattie

Status: Closed Start date: 2009-01-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.25 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

Create a project and disable all but one tracker (e.g. support and feature disabled, bug enabled). Note that the page overview will still

list the number of support and feature tickets ("0 open on 0" for both). These shouldn't be displayed at all, yeah?

app/views/projects/show.rhtml, line 24

Associated revisions

Revision 2311 - 2009-01-25 12:15 - Jean-Philippe Lang

Ignore archived subprojects in Project#rolled_up_trackers (#2550).

History

#1 - 2009-01-23 18:31 - Jean-Philippe Lang

I think you have subprojects with this tracker enabled, don't you?

#2 - 2009-01-23 19:28 - Brad Beattie

Jean-Philippe Lang wrote:

I think you have subprojects with this tracker enabled, don't you?

 Mm... true. Archived, but there. Not sure if archived projects should affect this, but that's a design choice, not a bug, eh?

#3 - 2009-01-23 19:53 - Jean-Philippe Lang

Not sure if archived projects should affect this, but that's a design choice, not a bug, eh?

 It's more like a bug. I'll fix it.

#4 - 2009-01-25 12:11 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r2311.
